> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect issue Linear ticket



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /issues/{issue_id}/linear-ticket
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /issues/{issue_id}/linear-ticket:
    get:
      tags:
        - Linear Tickets
      summary: Inspect issue Linear ticket
      operationId: get_linear_ticket_link
      parameters:
        - name: issue_id
          in: path
          required: true
          description: Lemma issue ID.
          schema:
            type: string
      responses:
        '200':
          description: Linear ticket link
          content:
            application/json:
              schema:
                type: object
                properties:
                  project_id:
                    type: string
                    format: uuid
                  issue_id:
                    type: string
                    format: uuid
                  issue_assignee_user_id:
                    type:
                      - string
                      - 'null'
                  link:
                    type:
                      - object
                      - 'null'
                    properties:
                      id:
                        type: string
                        format: uuid
                      origin:
                        type: string
                        enum:
                          - created
                          - existing
                      linked_at:
                        type: string
                      sync_status:
                        type: string
                        enum:
                          - healthy
                          - stale
                          - ticket_unavailable
                          - sync_error
                      last_successful_sync_at:
                        type:
                          - string
                          - 'null'
                      last_error_code:
                        type:
                          - string
                          - 'null'
                      last_error_message:
                        type:
                          - string
                          - 'null'
                      last_error_at:
                        type:
                          - string
                          - 'null'
                      ticket:
                        type: object
                        properties:
                          id:
                            type: string
                          identifier:
                            type: string
                          url:
                            type: string
                            format: uri
                          title:
                            type: string
                          team_id:
                            type: string
                          team_name:
                            type: string
                          team_key:
                            type: string
                          linear_project_id:
                            type:
                              - string
                              - 'null'
                          linear_project_name:
                            type:
                              - string
                              - 'null'
                          state_id:
                            type: string
                          state_name:
                            type: string
                          state_type:
                            type: string
                          linear_assignee:
                            type:
                              - object
                              - 'null'
                            properties:
                              id:
                                type: string
                              name:
                                type: string
                              avatar_url:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - name
                              - avatar_url
                            additionalProperties: false
                        required:
                          - id
                          - identifier
                          - url
                          - title
                          - team_id
                          - team_name
                          - team_key
                          - linear_project_id
                          - linear_project_name
                          - state_id
                          - state_name
                          - state_type
                          - linear_assignee
                        additionalProperties: false
                    required:
                      - id
                      - origin
                      - linked_at
                      - sync_status
                      - last_successful_sync_at
                      - last_error_code
                      - last_error_message
                      - last_error_at
                      - ticket
                    additionalProperties: false
                  activity:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        type:
                          type: string
                          enum:
                            - ticket_created
                            - ticket_linked
                            - ticket_unlinked
                            - ticket_completed_issue_resolved
                            - dismissal_cancel_requested
                            - dismissal_cancel_completed
                            - recurrence_comment_added
                            - sync_degraded
                            - sync_restored
                        actor_type:
                          type: string
                          enum:
                            - user
                            - api_key
                            - system
                        actor_id:
                          type:
                            - string
                            - 'null'
                        ticket_identifier:
                          type: string
                        metadata:
                          type: object
                          additionalProperties: {}
                        occurred_at:
                          type: string
                      required:
                        - id
                        - type
                        - actor_type
                        - actor_id
                        - ticket_identifier
                        - metadata
                        - occurred_at
                      additionalProperties: false
                  pull_requests:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          minLength: 1
                        title:
                          type: string
                        url:
                          type: string
                          format: uri
                      required:
                        - id
                        - title
                        - url
                      additionalProperties: false
                required:
                  - project_id
                  - issue_id
                  - issue_assignee_user_id
                  - link
                  - activity
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````